Classify Equal Interval does't work with some Mid/Mif

2008-08-04 03:36 PM - fabceolin -

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Vectors

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11262

Description

Under certain cases, the Classify button doesn't show a correct classification. Clicking on Properties / Graduated Symbol / Classification

Field "Densidade" / Mode "Equal Interval" / Number Of Classes 3 / Classify, the values appears between -0.001 and 0.001, and, the

correct was 0 and 8.7. See attached mid/mif and screenshot

History

#1 - 2009-06-29 09:28 AM - Giovanni Manghi

Tested on QGIS 1.2 (rev. 10988), with the same sample data and the same properties now thw shown classes are

-0.001 - 2.936

2.936 - 5.871

5.871 - 8.808

solved? closing?

#2 - 2009-07-03 04:15 AM - Giovanni Manghi

After the changes that fixed

https://trac.osgeo.org/qgis/ticket/983

should we close also this one?

Now the classes are (relative to the proposed data/example)

0 - 2.935744

2.935744 - 5.871489

5.871489 - 8.807233

and the attribute table reads (for that specifi column):

0

1.77759541634916
8.02046580084215

8.02046580084215

8.02046580084215

#3 - 2009-07-08 03:08 PM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed

Closing this ticket, reopen it if necessary.
